Eclipse无法启动,提示没有JRE或JDK。可是JDK和JRE明明弄好的。

为当前最终发行版之前的所有版本提供支持
回复
头像
TualatriX
帖子: 359
注册时间: 2006-11-17 20:07
来自: 杭州/宁波
送出感谢: 0
接收感谢: 0
联系:

Eclipse无法启动,提示没有JRE或JDK。可是JDK和JRE明明弄好的。

#1

帖子 TualatriX » 2006-11-25 20:55

我在终端下java,javac都是可以的。java -version也是最新的1.5.0_09。LumaQQ也可以运行。
唯一的不同是我的JDK是自己下载的Bin包安装的。
但是照理说这个不影响Eclipse运行啊,明明JRE,JDK都正常的。
有没有人能解释下这是为什么。。。
附件
Screenshot-Eclipse.png
xcity
帖子: 135
注册时间: 2006-09-20 17:11
送出感谢: 0
接收感谢: 0

#2

帖子 xcity » 2006-11-26 14:49

你的java是可以在$PATH路径下面的吗?换句话说,是不是在任何目录下面运行java都可以找到?如果不是的话,在/usr/bin建一个符号链接。应该就可以了!
aaronbai
帖子: 163
注册时间: 2006-10-15 10:12
送出感谢: 0
接收感谢: 0

#3

帖子 aaronbai » 2006-11-26 15:32

APT-GET JDK
我的这样搞的
ECLIPSE很好用的
Gmail: baifh03@gmail.com
MSN:aaronminwoo@hotmail.com
喜欢LINUX的加我!
一起学习讨论!
jk88811
帖子: 55
注册时间: 2006-02-16 9:42
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 jk88811 » 2006-12-07 14:42

推荐从源安装, 新手指南里有。

或者如上面兄弟所说,添加链接到/usr/bin目录下

再或者,修改.bashrc文件,设置JAVA_HOME变量,然后将$JAVA_HOME/bin添加到PATH
头像
patrickhe
帖子: 681
注册时间: 2005-07-21 19:13
来自: Peking, China
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 patrickhe » 2006-12-07 14:56

回复

回到 “老旧版本支持”